@echo off
rem Author: Christian Nentwich, Systemwire, for ISDA,
rem Created: Oct., 2003.
rem Copyright ISDA 2009
rem
rem Translates an english language rule file from XML to HTML for
rem publication.

if "%1" == "" goto noarguments

java -jar ..\..\extern\saxon.jar -o %1.html %1.xml XSL\rule_grouped.xsl
goto done

:noarguments
echo =================================
echo Usage: makehtml rule-file-english
echo =================================
echo Please do not to append .xml to the file name, this batch file
echo will do it for you

goto done

:done
